WinShopAPI docs
ReferenceCompanies

Get a company representative

Returns one representative of the company. 404 when `representativeId` does not belong to `companyId`. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/representatives/{representativeId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32
representativeId*integer
Formatint32

Response Body

application/json
  1. response
address1?|
Lengthlength <= 80
address2?|
Lengthlength <= 80
city?|
Lengthlength <= 50
companyId?|
Formatint32
country?|
Lengthlength <= 80
dateOfBirth?|
Formatdate-time
dateOfNameDay?|
Formatdate-time
email?|
Lengthlength <= 80
eshopRepresentativeId?string|null
fax?|
Lengthlength <= 20
functionId?|
Formatint32
id?|
Formatint32
isInformEnabled?boolean|null
mobilePhone?|
Lengthlength <= 20
name?|
Lengthlength <= 50
note?string|null
phone?|
Lengthlength <= 20
surname?|
Lengthlength <= 50
title?|
Lengthlength <= 10
zipCode?|
Lengthlength <= 6
curl -X GET 'https://<your-instance>/api/companies/0/representatives/0' \  -H 'Authorization: Bearer <access-token>'
{  "address1": "string",  "address2": "string",  "city": "string",  "companyId": 0,  "country": "string",  "dateOfBirth": "2019-08-24T14:15:22Z",  "dateOfNameDay": "2019-08-24T14:15:22Z",  "email": "string",  "eshopRepresentativeId": "string",  "fax": "string",  "functionId": 0,  "id": 0,  "isInformEnabled": true,  "mobilePhone": "string",  "name": "string",  "note": "string",  "phone": "string",  "surname": "string",  "title": "string",  "zipCode": "string"}